cascading.management

## Interface UnitOfWorkSpawnStrategy

- All Known Implementing Classes:
    UnitOfWorkExecutorStrategy

      public interface UnitOfWorkSpawnStrategy

  The interface UnitOfWorkSpawnStrategy is a strategy for allowing pluggable thread management services into any `UnitOfWork` class.

  The default strategy is `UnitOfWorkExecutorStrategy`.
  See Also:
    `UnitOfWork`, `Flow`, `Cascade`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complete(UnitOfWork unitOfWork, int duration, java.util.concurrent.TimeUnit unit)`
    `boolean` | `isCompleted(UnitOfWork unitOfWork)`
    `java.util.List<java.util.concurrent.Future<java.lang.Throwable>>` | `start(UnitOfWork unitOfWork, int maxConcurrentThreads, java.util.Collection<java.util.concurrent.Callable<java.lang.Throwable>> values)`

- - ### Method Detail

    - #### start

          java.util.List<java.util.concurrent.Future<java.lang.Throwable>> start(UnitOfWork unitOfWork,
                                                                               int maxConcurrentThreads,
                                                                               java.util.Collection<java.util.concurrent.Callable<java.lang.Throwable>> values)
                                                                                 throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### isCompleted

          boolean isCompleted(UnitOfWork unitOfWork)

    - #### complete

          void complete(UnitOfWork unitOfWork,
                      int duration,
                      java.util.concurrent.TimeUnit unit)
                        throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.